LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::i18n::reservedWords Constant Group Referencepublished

Offsets into the sequence of strings returned by XLocaleData::getReservedWord(). More...

## Variables
const short | TRUE_WORD = 0
| "true" More...
const short | FALSE_WORD = 1
| "false" More...
const short | QUARTER1_WORD = 2
| "1st quarter" More...
const short | QUARTER2_WORD = 3
| "2nd quarter" More...
const short | QUARTER3_WORD = 4
| "3rd quarter" More...
const short | QUARTER4_WORD = 5
| "4th quarter" More...
const short | ABOVE_WORD = 6
| "above" More...
const short | BELOW_WORD = 7
| "below" More...
const short | QUARTER1_ABBREVIATION = 8
| "Q1" More...
const short | QUARTER2_ABBREVIATION = 9
| "Q2" More...
const short | QUARTER3_ABBREVIATION = 10
| "Q3" More...
const short | QUARTER4_ABBREVIATION = 11
| "Q4" More...
const short | COUNT = 12
| Yes, this must be the count of known reserved words and one more than the maximum number used above! Count of known reserved words. More...

## Detailed Description

Offsets into the sequence of strings returned by XLocaleData::getReservedWord().

See also
  XLocaleData for links to DTD of XML locale data files.

## Variable Documentation

## ◆ ABOVE_WORD

const short ABOVE_WORD = 6

"above"

## ◆ BELOW_WORD

const short BELOW_WORD = 7

"below"

## ◆ COUNT

const short COUNT = 12

Yes, this must be the count of known reserved words and one more than the maximum number used above! Count of known reserved words.

## ◆ FALSE_WORD

const short FALSE_WORD = 1

"false"

## ◆ QUARTER1_ABBREVIATION

const short QUARTER1_ABBREVIATION = 8

"Q1"

## ◆ QUARTER1_WORD

const short QUARTER1_WORD = 2

"1st quarter"

## ◆ QUARTER2_ABBREVIATION

const short QUARTER2_ABBREVIATION = 9

"Q2"

## ◆ QUARTER2_WORD

const short QUARTER2_WORD = 3

"2nd quarter"

## ◆ QUARTER3_ABBREVIATION

const short QUARTER3_ABBREVIATION = 10

"Q3"

## ◆ QUARTER3_WORD

const short QUARTER3_WORD = 4

"3rd quarter"

## ◆ QUARTER4_ABBREVIATION

const short QUARTER4_ABBREVIATION = 11

"Q4"

## ◆ QUARTER4_WORD

const short QUARTER4_WORD = 5

"4th quarter"

## ◆ TRUE_WORD

const short TRUE_WORD = 0

"true"